#ifndef fltptd_H
#define fltptd_H
typedef unsigned char bcd32[32];

extern bcd32 __declspec(dllimport) k0;      /*  0.0     */
extern bcd32 __declspec(dllimport) kp1;     /*  1.0     */
extern bcd32 __declspec(dllimport) kp2;     /*  2.0     */
extern bcd32 __declspec(dllimport) km1;     /* -1.0     */
extern bcd32 __declspec(dllimport) kphalf;  /*  0.5     */
extern bcd32 __declspec(dllimport) kpi;     /*  Pi      */
extern bcd32 __declspec(dllimport) k2pi;    /*  2*Pi    */
extern bcd32 __declspec(dllimport) kpio2;   /*  Pi/2    */
extern bcd32 __declspec(dllimport) kpio4;   /*  Pi/4    */
extern bcd32 __declspec(dllimport) k2opi;   /*  2/Pi    */
extern bcd32 __declspec(dllimport) ksqrtpi; /* Sqrt(Pi) */
extern bcd32 __declspec(dllimport) ksq2pi;  /* Sqrt(2Pi)*/
extern bcd32 __declspec(dllimport) kdtor;   /* Degrees to Radians */
extern bcd32 __declspec(dllimport) krtod;   /* Radians to Degrees */
extern bcd32 __declspec(dllimport) kln2;    /* Natural log of 2   */
extern bcd32 __declspec(dllimport) kln10;   /* Natural log of 10  */
extern bcd32 __declspec(dllimport) klnmax;  /* Natural log of MAX */
extern bcd32 __declspec(dllimport) ksqrt2;  /* Sqrt(2)  */
extern bcd32 __declspec(dllimport) expser;
extern bcd32 __declspec(dllimport) kpmax;   /* +MAX BCD number    */
extern bcd32 __declspec(dllimport) kmaxgam; /*  Max arg for Gamma */
extern bcd32 __declspec(dllimport) keuler;  /*  Eulers's number   */
extern bcd32 __declspec(dllimport) gmma23n;
extern bcd32 __declspec(dllimport) gmma23d;
extern bcd32 __declspec(dllimport) factr[];

#ifdef __cplusplus
extern "C" {
#endif

void __declspec(dllimport) bcdadd(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdsub(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdmul(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcddiv(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdsqrt(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdsin(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdsin2(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcos(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdtan(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcsc(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdsec(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcot(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdasin(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdacos(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdatan(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdatan2(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdacot(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdacsc(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdasec(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdsinh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcosh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdtanh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcsch(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdsech(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdcoth(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdasinh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdacosh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdatanh(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdacsch(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdasech(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdacoth(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdint(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdfrac(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdneg(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdabs(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdchs(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdround(bcd32 a,bcd32 c,int pos);
void __declspec(dllimport) bcdmov(bcd32 a,bcd32 c);
int  __declspec(dllimport) bcdcmp(bcd32 a,bcd32 b);
void __declspec(dllimport) bcdclear(bcd32 a);
void __declspec(dllimport) bcdlog(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdlog10(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdexp(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdten2x(bcd32 a,bcd32 c);
void __declspec(dllimport) bcde2f(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdhypot(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdpoly(bcd32 clist,bcd32 x,bcd32 y,int n);
void __declspec(dllimport) bcdpow(bcd32 y,bcd32 x,bcd32 z);
void __declspec(dllimport) bcdgammax(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdlgamma(bcd32 a,bcd32 c);
void __declspec(dllimport) bcdmax(bcd32 a,bcd32 b,bcd32 c);
void __declspec(dllimport) bcdmin(bcd32 a,bcd32 b,bcd32 c);

#ifdef __cplusplus
}
#endif
#endif
